dbeacon(1)

NAME
dbeacon - Distributed IPv4/IPv6 multicast beacon

SYNOPSYS
dbeacon -a MAIL -b BEACON_ADDR[/PORT] [-i INTFNAME] [-n NAME] [-S [GROUP_ADDR[/PORT]] [-s ADDR] [-d [FILE]] [-I NUMBER] [-W type$url] [-L program] [-C CC] [-4] [-6] [-v] [-P] [-U] [-V] [-F flag] [-O] [-B ADDR]

DESCRIPTION
dbeacon is a network level management tool aiming at getting various statistics about multicast connectivity. Its first usage is to check out if you can send/receive toward/from an IPv4/IPv6 multicast network. Its second usage is to gather various statistics by using a known multicast ASM group, for example TTL between each multicast peers, loss or jitter figures. Theses statistics are kept internally but can be dumped periodically in a file in xml format for latter processing. Statistics gathering is completetly distributed and rely on the powerful nature of ASM. No server is required, but maybe a http server for accessing the statistics and build an adjacency matrix of the peers.

OPTIONS

-n NAME, -name NAME
    The name identifying you on the dbeacon session. If not specified, dbeacon will use the hostname of the running machine.

-a MAIL
    Administrative contact. This is an e-mail used for join you, for example to notify you that something is wrong is your multicast connectivity

-i IN, -interface IN
    Use IN instead of the default interface for multicast.

-b BEACON_ADDR/PORT
    This is the IPv4/IPv6 address of the ASM group used by dbeacon to gather statistics. It can be specified as a DNS name too.

-S GROUP_ADDR/PORT
    Enables SSM reception/sending on optional GROUP_ADDR/PORT

-O  This option enable SSM data sending in addition to ASM data. It can be used to check if people can reach you via SSM.

-B ADDR
    This allows you to bootstrap from an ADDR that is already in the matrix. This option is useful when you ASM connectivity is broken but SSM connectivity works.

-P, -ssmping
    Enable SSM Ping server capability.

-s ADDR
    Bind to local address. This allow you to specify the multicast source of the packets sent by your beacon.

-d FILE
    Dump periodic reports to dump.xml or specified file. This file may be latter processed by any XML compliant script. On a http server, you can process the dump to create a nice adjacency matrix.

-I NUMBER, -interval NUMBER
    Interval between refresh of the dump file. Defaults to 5 secs if not specified

-W URL, -website URL
    Specify a website to announce.

-Wm URL, -matrix URL
    Specify your matrix URL.

-Wl URL, -lg URL
    Specify your looking glass URL.

-C CC
    Specify your two letter Country Code.

-L program
    Launch program after each dump. The first argument will be the dump filename.

-F flag
    Specify a flag to announce. For example to announce that your host is running a ssmpingd deamon, use 'ssmping' as a flag.

-4, -ipv4
    Force IPv4 usage (Default is IPv6).

-6, -ipv6
    Force IPv6 usage

-v  verbose mode (use several for more verbosity)

-U  Dump periodic bandwidth usage reports to stdout

-D, -daemon
    fork to the background (daemonize)

-pidfile FILE
    Path to the PID file to write to.

-syslog
    Outputs using syslog facility.

-c FILE
    Specifies the configuration file to use. Each of the above command-line parameters can be defined there.

-V, -version
    Outputs version information and leaves

BUGS
Should be reported to the core developer Hugo Santos <hugo@fivebits.net>.

HISTORY
dbeacon is a joint work of Hugo Santos, Sebastien Chaumontet and Mickael Hoerdt. It has been done in the early days of the m6bone, when nobody knew if the SPTs or RPTs were being used between hosts and also to evaluate the performance and deployment of SSM.